OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKTObj
TObj

# TObj_ModelIterator Class Reference

`#include <TObj_ModelIterator.hxx>`

Inheritance diagram for TObj_ModelIterator:

[legend]

## Public Member Functions
Standard_EXPORT | TObj_ModelIterator (const Handle(TObj_Model)&theModel)
| Creates Iterator and initialize it by Model`s label.
virtual Standard_EXPORT Standard_Boolean | More () const
| Returns True if iteration is not finished and method Value() will give the object.
virtual Standard_EXPORT void | Next ()
| Iterates to the next object.
virtual Standard_EXPORT | Handle (TObj_Object) Value() const
| Returns current object (or MainObj of Model if iteration has finished).
## Protected Member Functions
virtual Standard_EXPORT void | addIterator (const Handle(TObj_Object)&theObj)
| Add iterator on children of indicated object recursively.
| Handle (TObj_Object) myObject
| Current object.
## Protected Attributes
TObj_SequenceOfIterator | myIterSeq
| Sequence of iterators in model.

## Detailed Description

This class provides an iterator by all objects in the model.

## Constructor & Destructor Documentation

Standard_EXPORT TObj_ModelIterator::TObj_ModelIterator | ( | const Handle(TObj_Model)& | theModel | ) |

| Constructor

## Member Function Documentation

virtual Standard_EXPORT void TObj_ModelIterator::addIterator | ( | const Handle(TObj_Object)& | theObj | ) | `[protected, virtual]`

| private methods

TObj_ModelIterator::Handle | ( | TObj_Object |  | ) | `[protected]`

| Fields

virtual Standard_EXPORT TObj_ModelIterator::Handle | ( | TObj_Object |  | ) | const`[virtual]`

| Reimplemented from TObj_ObjectIterator.

virtual Standard_EXPORT Standard_Boolean TObj_ModelIterator::More | ( |  | ) | const`[virtual]`

| Methods to iterate on objects. Reimplemented from TObj_ObjectIterator.

virtual Standard_EXPORT void TObj_ModelIterator::Next | ( |  | ) | `[virtual]`

| Reimplemented from TObj_ObjectIterator.

## Field Documentation

TObj_SequenceOfIterator TObj_ModelIterator::myIterSeq`[protected]`

The documentation for this class was generated from the following file:

- TObj_ModelIterator.hxx